﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Misc
{
    /// <summary>
    /// PLC 寄存器用于报警
    /// </summary>
    public class IsErrorAttribute : Attribute
    {
        /// <summary>
        /// 这个属性用于报警
        /// </summary>
        /// <param name="offIsError"></param>
        public IsErrorAttribute(bool offIsError = false)
        {
            OffIsError = offIsError;
        }

        /// <summary>
        /// 属性的值为false， 为报警状态
        /// </summary>
        public bool OffIsError { get; private set; }

    }
}
